(function ($) {
    "use strict";

    /**
     * This enables you to define handlers, for when the DOM is ready:
     */

    $(function () {
        /**
         * Toggle visibility of fields.
         */
        let display = 0;

        if (document.querySelector("#leadbox-display"))
            display = document.querySelector("#leadbox-display").value;

        if (display == 1) {
            // (1 = All)
            if (
                document.querySelector("#leadferno-admin-metabox-pages") &&
                document.querySelector("#leadferno-admin-metabox-posts") &&
                document.querySelector("#leadferno-admin-metabox-urls")
            ) {
                document
                    .querySelector("#leadferno-admin-metabox-pages")
                    .classList.add("hidden");
                document
                    .querySelector("#leadferno-admin-metabox-posts")
                    .classList.add("hidden");
                document
                    .querySelector("#leadferno-admin-metabox-urls")
                    .classList.add("hidden");
            }
        } else {
            if (
                document.querySelector("#leadferno-admin-metabox-pages") &&
                document.querySelector("#leadferno-admin-metabox-posts") &&
                document.querySelector("#leadferno-admin-metabox-urls")
            ) {
                document
                    .querySelector("#leadferno-admin-metabox-pages")
                    .classList.remove("hidden");
                document
                    .querySelector("#leadferno-admin-metabox-posts")
                    .classList.remove("hidden");
                document
                    .querySelector("#leadferno-admin-metabox-urls")
                    .classList.remove("hidden");
            }
        }

        if (document.querySelector("#leadbox-display")) {
            document
                .querySelector("#leadbox-display")
                .addEventListener("change", function (e) {
                    e.preventDefault();

                    if (this.value == 1) {
                        document
                            .querySelector("#leadferno-admin-metabox-pages")
                            .classList.add("hidden");
                        document
                            .querySelector("#leadferno-admin-metabox-posts")
                            .classList.add("hidden");
                        document
                            .querySelector("#leadferno-admin-metabox-urls")
                            .classList.add("hidden");
                    } else {
                        document
                            .querySelector("#leadferno-admin-metabox-pages")
                            .classList.remove("hidden");
                        document
                            .querySelector("#leadferno-admin-metabox-posts")
                            .classList.remove("hidden");
                        document
                            .querySelector("#leadferno-admin-metabox-urls")
                            .classList.remove("hidden");
                    }
                });
        }

        /**
         * Select All pages.
         */
        if (document.querySelector("#leadbox_all_pages")) {
            document
                .querySelector("#leadbox_all_pages")
                .addEventListener("click", function (e) {
                    e.preventDefault();

                    document
                        .querySelectorAll(".leadbox-page")
                        .forEach(function (a) {
                            a.checked = true;
                        });
                });
        }

        /**
         * Deselect All pages.
         */
        if (document.querySelector("#leadbox_no_pages")) {
            document
                .querySelector("#leadbox_no_pages")
                .addEventListener("click", function (e) {
                    e.preventDefault();

                    document
                        .querySelectorAll(".leadbox-page")
                        .forEach(function (a) {
                            a.checked = false;
                        });
                });
        }

        /**
         * Select All posts.
         */
        if (document.querySelector("#leadbox_all_posts")) {
            document
                .querySelector("#leadbox_all_posts")
                .addEventListener("click", function (e) {
                    e.preventDefault();

                    document
                        .querySelectorAll(".leadbox-post")
                        .forEach(function (a) {
                            a.checked = true;
                        });
                });
        }

        /**
         * Deselect All posts.
         */
        if (document.querySelector("#leadbox_no_posts")) {
            document
                .querySelector("#leadbox_no_posts")
                .addEventListener("click", function (e) {
                    e.preventDefault();

                    document
                        .querySelectorAll(".leadbox-post")
                        .forEach(function (a) {
                            a.checked = false;
                        });
                });
        }

        /**
         * Custom URLs (repeater field).
         */
        $("#add-row").on("click", function () {
            var row = $(".empty-row.screen-reader-text").clone(true);
            row.removeClass("empty-row screen-reader-text").addClass("url-row");
            row.insertBefore("#repeatable-fieldset div.empty-row");
            row.find('input[name="_leadbox-urls[]"]')
                .attr("name", "leadbox-urls[]")
                .attr("required", "required");

            return false;
        });

        $(".remove-row").on("click", function () {
            $(this).closest("div.url-row").remove();

            return false;
        });
    });
})(jQuery);
