<?php

/**
 * Provides the markup for a checkbox field.
 *
 * @since      1.0
 * @package    Leadferno
 * @subpackage Leadferno/admin/partials
 */

if (!empty($atts['label']))
{
	?><th><label for="<?php echo esc_attr($atts['id']); ?>"><?php esc_html_e($atts['label'], 'leadferno'); ?>: </label></th><?php
}

?><td>
	<fieldset>
		<div class="leadferno-pages-header">
			<span><?php echo __('Select:', 'leadferno'); ?></span>
			<a href="#" id="leadbox_all_pages"><?php echo __('All', 'leadferno'); ?></a>,
			<a href="#" id="leadbox_no_pages"><?php echo __('None', 'leadferno'); ?></a>
		</div>
		<div class="leadferno-pages-wrapper"><?php
			foreach ($atts['selections'] as $selection)
			{
				if (is_array($selection))
				{
					$label = $selection['label'];
					$value = $selection['value'];
					$level = $selection['level'];
				}
				else
				{
					$label = strtolower($selection);
					$value = strtolower($selection);
					$level = 0;
				}

				?><div style="margin-left: <?php echo $level * 15; ?>px;">
					<label>
						<input aria-role="checkbox" type="checkbox" class="leadbox-page" name="<?php echo esc_attr($atts['name']); ?>" value="<?php echo esc_attr($value); ?>" <?php
							if (in_array($value, $atts['value']))
							{
								echo 'checked';
							}
						?>>
						<span>
							<?php echo esc_html_e($label, 'leadferno');
						?></span><?php

						if (array_key_exists('desc', $selection))
						{
							?><code><?php echo esc_html_e($selection['desc'], 'leadferno'); ?></code><?php
						}
					?></label>
				</div><?php
			}
		?></div>
		<p class="description"><?php esc_html_e($atts['description'], 'leadferno'); ?></p>
	</fieldset>
</td>